#!/usr/bin/python2.7

import os

# given paths(mountpoints)
path=("/boot", "/", "/home/")

#output head
print "mountpoints\tfree megabytes"
print "------------------------------"

#work path tuple
for mountpoint in path:
    #check if given path is a mountpoint
    if os.path.ismount(mountpoint):
        #create statvfs object
        fs = os.statvfs(mountpoint)
        #calculate free megabytes
        freembytes = fs.f_bavail * fs.f_bsize / 1024**2.0
        #output
        print "%s\t\t%.1f MB" %(mountpoint, freembytes)
    else:
        print "error: given path is not a mountpoint"


# end of file
